"
 COPYRIGHT (c) 1989 by Claus Gittinger
	      All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"
"{ Package: 'stx:libbasic2' }"

UnboxedIntegerArray variableWordSubclass:#WordArray
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'Collections-Arrayed'
!

!WordArray class methodsFor:'documentation'!

copyright
"
 COPYRIGHT (c) 1989 by Claus Gittinger
	      All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"
!

documentation
"
    WordArrays store integers in the range 0..16rFFFF.
    In contrast to normal arrays (which store pointers to their elements),
    wordArrays store the values in a dense & compact way. 
    Since the representation fits the underlying C-language systems representation
    of unsigned int16's, this is also useful to pass bulk data to c primitive code.

    WordArrays can be used to hold bulk integer data in a more compact way.
        For example:
            Array new:100000 withAll:1
        requires 400k of object memory;

        in contrast,
            WordArray new:100000 withAll:1
        only requires half of it.

    [memory requirements:]
        OBJ-HEADER + (size * 2)

    [see also:]
        ByteArray BooleanArray FloatArray DoubleArray Array
        SignedWordArray

    [author:]
        Claus Gittinger
"
! !



!WordArray class methodsFor:'queries'!

elementByteSize
    ^ 2

    "Created: / 15-09-2011 / 14:10:54 / cg"
! !


!WordArray class methodsFor:'documentation'!

version
    ^ '$Header: /cvs/stx/stx/libbasic2/WordArray.st,v 1.8 2011-09-29 11:17:39 cg Exp $'
! !
